Loading...
Searching...
No Matches
casacore::MArrayBase Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <MArrayBase.h>`

## Public Member Functions

Bool | isNull () const
| Is the array null?
void | removeMask ()
| Remove the mask.
Bool | hasMask () const
| Is there a mask?
void | setMask (const Array< Bool > &mask)
| Set the mask.
const Array< Bool > & | mask () const
| Get the mask.
Array< Bool > & | wmask ()
Int64 | nvalid () const
| Return the number of valid array values, thus unflagged elements.
Bool | empty () const
| Is the array empty?
uInt | ndim () const
| Get the dimensionality.
const IPosition & | shape () const
| Get the shape.
size_t | size () const
| Get the size.
size_t | nelements () const
Array< Bool > | combineMask (const MArrayBase &other) const
| Combine this and the other mask.

## Protected Member Functions

| MArrayBase (Bool isNull)
| The default constructor creates an empty mask.
| MArrayBase (const ArrayBase &arr, const Array< Bool > &mask, Bool isNull)
| Construct from a given array shape and mask.
| MArrayBase (const ArrayBase &arr, const MArrayBase &marray)
| Construct from a given array shape and mask from another MArray.
void | setBase (const ArrayBase &arr, const Array< Bool > &mask)
| Reference the mask and set the shape.
void | referenceBase (const MArrayBase &other)
| Reference another MArray.
void | resizeBase (const ArrayBase &arr, Bool useMask)
| Set the array shape and resize the mask.

## Private Member Functions

void | init ()
| Initialize and check.
void | fillNValid () const
| Fill the number of valid values.

## Private Attributes

Array< Bool > | itsMask
IPosition | itsShape
size_t | itsSize
Int64 | itsNValid
Bool | itsNull

## Detailed Description

Base class for an array with an optional mask

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Array

### Synopsis

This class is the base class of the templated class MArray. It contains the functions that are not template dependent.

MArray is developed to make it easier to handle arrays with an optional mask. The array is always present, but the mask is optional. MArrayMath contains functions to operate on such arrays.

Similar to numpy.masked_array and the MeasurementSet FLAG definition, a mask value True means that the corresponding value is masked off, thus is not taken into account in reduction functions like sum. on a masked array. In operations like addition, masked off values are processed because testing the mask value is more expensive than an addition (even if the value is a NaN). For an operation with multiple operands, the mask of the result is the OR of the operand masks.

MArray can be null meaning that the array is a null value. It can be used to indicate that a table cell does not contain an array. A null MArray has an empty array and mask. Operations where an operand is a null MArray, result in a null MArray.

Definition at line 82 of file MArrayBase.h.

## Constructor & Destructor Documentation

## MArrayBase() [1/3]

casacore::MArrayBase::MArrayBase | ( | Bool | isNull | ) |

inline explicit protected

The default constructor creates an empty mask.

Definition at line 86 of file MArrayBase.h.

References isNull(), itsNull, itsNValid, and itsSize.

Referenced by combineMask(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), MArrayBase(), and referenceBase().

## MArrayBase() [2/3]

casacore::MArrayBase::MArrayBase | ( | const ArrayBase & | arr,
|  | const Array< Bool > & | mask,
|  | Bool | isNull )

protected

Construct from a given array shape and mask.

References isNull(), and mask().

## MArrayBase() [3/3]

casacore::MArrayBase::MArrayBase | ( | const ArrayBase & | arr,
|  | const MArrayBase & | marray )

protected

Construct from a given array shape and mask from another MArray.

References casacore::marray(), and MArrayBase().

## Member Function Documentation

## combineMask()

Array< Bool > casacore::MArrayBase::combineMask | ( | const MArrayBase & | other | ) | const

Combine this and the other mask.

One or both MArray-s can be unmasked.

References MArrayBase().

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::atan2(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::floormod(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::fmod(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::max(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::min(), casacore::MArrayLogical_global_functions_MArray_logical_operations::near(), casacore::MArrayLogical_global_functions_MArray_logical_operations::nearAbs(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator!=(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator%(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator&(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator&&(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator*(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator+(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator-(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator/(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator<(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator>(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator>=(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator^(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator|(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator||(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::pow().

## empty()

Bool casacore::MArrayBase::empty | ( |  | ) | const

inline

Is the array empty?

Definition at line 137 of file MArrayBase.h.

References itsSize.

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::fractile(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::median().

## fillNValid()

void casacore::MArrayBase::fillNValid | ( |  | ) | const

private

Fill the number of valid values.

Referenced by nvalid().

## hasMask()

Bool casacore::MArrayBase::hasMask | ( |  | ) | const

inline

Is there a mask?

Definition at line 117 of file MArrayBase.h.

References itsMask.

Referenced by casacore::MArrayLogical_global_functions_MArray_logical_operations::allEQ(), casacore::MArrayLogical_global_functions_MArray_logical_operations::anyEQ(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::avdev(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedVariances(), casacore::MArray< T >::flatten(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::fractile(), casacore::TableExprGroupAggr::getArray(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::max(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::mean(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::median(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::min(), casacore::MArrayLogical_global_functions_MArray_logical_operations::nfalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::ntrue(), casacore::MArray< T >::operator()(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialArrayMath(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialVariances(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::product(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::rms(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingVariances(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::sum(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::sumsqr(), casacore::TableExprNodeSet::toArray(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::variance().

## init()

void casacore::MArrayBase::init | ( |  | ) |

private

Initialize and check.

## isNull()

Bool casacore::MArrayBase::isNull | ( |  | ) | const

inline

Is the array null?

Definition at line 109 of file MArrayBase.h.

References itsNull.

Referenced by casacore::MArrayLogical_global_functions_MArray_logical_operations::allEQ(), casacore::MArrayLogical_global_functions_MArray_logical_operations::anyEQ(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::atan2(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::boxedNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedVariances(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::floormod(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::fmod(), casacore::TableExprGroupAggr::getArray(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), MArrayBase(), MArrayBase(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::max(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::min(), casacore::MArrayLogical_global_functions_MArray_logical_operations::near(), casacore::MArrayLogical_global_functions_MArray_logical_operations::nearAbs(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator!=(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator%(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator&(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator&&(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator*(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator+(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator-(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator/(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator<(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator>(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator>=(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator^(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::operator|(), casacore::MArrayLogical_global_functions_MArray_logical_operations::operator||(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::partialNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialVariances(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::pow(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingAlls(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingAnys(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingAvdevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingFractiles(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMaxs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMeans(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMedians(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingMins(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingNFalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::slidingNTrue(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingProducts(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingRmss(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingStddevs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingSums(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingSumSqrs(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingVariances(), and casacore::TableExprNodeSet::toArray().

## mask()

const Array< Bool > & casacore::MArrayBase::mask | ( |  | ) | const

inline

Get the mask.

The returned array is empty if there is no mask.

Definition at line 124 of file MArrayBase.h.

References itsMask.

Referenced by casacore::MArrayLogical_global_functions_MArray_logical_operations::allEQ(), casacore::MArrayLogical_global_functions_MArray_logical_operations::anyEQ(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::avdev(), casacore::MArray< T >::fill(), casacore::MArray< T >::flatten(), casacore::TableExprGroupAggr::getArray(), casacore::MArray< T >::MArray(), casacore::MArray< T >::MArray(), MArrayBase(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::max(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::min(), casacore::MArrayLogical_global_functions_MArray_logical_operations::nfalse(), casacore::MArrayLogical_global_functions_MArray_logical_operations::ntrue(), casacore::MArray< T >::operator()(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialArrayMath(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::product(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::rms(), setBase(), setMask(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingArrayMath(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::sum(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::sumsqr(), casacore::TableExprNodeSet::toArray(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::variance().

## ndim()

uInt casacore::MArrayBase::ndim | ( |  | ) | const

inline

Get the dimensionality.

Definition at line 141 of file MArrayBase.h.

References itsShape.

Referenced by casacore::TableExprGroupAggr::getArray().

## nelements()

size_t casacore::MArrayBase::nelements | ( |  | ) | const

inline

Definition at line 152 of file MArrayBase.h.

References itsSize.

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::median(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::medianInPlace().

## nvalid()

Int64 casacore::MArrayBase::nvalid | ( |  | ) | const

inline

Return the number of valid array values, thus unflagged elements.

Definition at line 130 of file MArrayBase.h.

References fillNValid(), and itsNValid.

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::avdev(), casacore::MArray< T >::flatten(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::mean(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::rms(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::variance().

## referenceBase()

void casacore::MArrayBase::referenceBase | ( | const MArrayBase & | other | ) |

protected

Reference another MArray.

References MArrayBase().

Referenced by casacore::MArray< T >::reference().

## removeMask()

void casacore::MArrayBase::removeMask | ( |  | ) |

inline

Remove the mask.

Definition at line 113 of file MArrayBase.h.

References itsMask, itsNValid, and itsSize.

## resizeBase()

void casacore::MArrayBase::resizeBase | ( | const ArrayBase & | arr,
|  | Bool | useMask )

protected

Set the array shape and resize the mask.

Referenced by casacore::MArray< T >::fill(), casacore::MArray< T >::MArray(), and casacore::MArray< T >::resize().

## setBase()

void casacore::MArrayBase::setBase | ( | const ArrayBase & | arr,
|  | const Array< Bool > & | mask )

protected

Reference the mask and set the shape.

References mask().

Referenced by casacore::MArray< T >::fill(), and casacore::MArray< T >::MArray().

## setMask()

void casacore::MArrayBase::setMask | ( | const Array< Bool > & | mask | ) |

Set the mask.

It checks if it matches the array shape.

References mask().

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedArrayMath(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialArrayMath(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingArrayMath().

## shape()

const IPosition & casacore::MArrayBase::shape | ( |  | ) | const

inline

Get the shape.

Definition at line 145 of file MArrayBase.h.

References itsShape.

Referenced by casacore::MArray< T >::fill(), casacore::TableExprGroupAggr::getArray(), casacore::MArray< T >::resize(), and casacore::TableExprNodeSet::toArray().

## size()

size_t casacore::MArrayBase::size | ( |  | ) | const

inline

Get the size.

Definition at line 150 of file MArrayBase.h.

References itsSize.

Referenced by casacore::MArray< T >::flatten(), casacore::MArray< Bool >::flatten(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::fractile(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::median(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::median().

## wmask()

Array< Bool > & casacore::MArrayBase::wmask | ( |  | ) |

inline

Definition at line 126 of file MArrayBase.h.

References itsMask.

## Member Data Documentation

## itsMask

Array<Bool> casacore::MArrayBase::itsMask

private

Definition at line 168 of file MArrayBase.h.

Referenced by hasMask(), mask(), removeMask(), and wmask().

## itsNull

Bool casacore::MArrayBase::itsNull

private

Definition at line 172 of file MArrayBase.h.

Referenced by isNull(), and MArrayBase().

## itsNValid

Int64 casacore::MArrayBase::itsNValid

mutable private

Definition at line 171 of file MArrayBase.h.

Referenced by MArrayBase(), nvalid(), and removeMask().

## itsShape

IPosition casacore::MArrayBase::itsShape

private

Definition at line 169 of file MArrayBase.h.

Referenced by ndim(), and shape().

## itsSize

size_t casacore::MArrayBase::itsSize

private

Definition at line 170 of file MArrayBase.h.

Referenced by empty(), MArrayBase(), nelements(), removeMask(), and size().

The documentation for this class was generated from the following file:

- tables/TaQL/MArrayBase.h